Summary: A version control system.
Name: cvs
Version: 1.10.5
Release: 2
Copyright: GPL
Group: Development/Tools
Source: ftp://download.cyclic.com/pub/cvs-%{version}/cvs-%{version}.tar.gz
Patch0: cvs-1.10-tmprace.patch
Prereq: /sbin/install-info
Prefix: %{_prefix}
Buildroot: /var/tmp/%{name}-root

%description
CVS means Concurrent Version System; it is a version control
system which can record the history of your files (usually,
but not always, source code). CVS only stores the differences
between versions, instead of every version of every file
you've ever created. CVS also keeps a log of who, when and
why changes occurred, among other aspects.

CVS is very helpful for managing releases and controlling
the concurrent editing of source files among multiple
authors. Instead of providing version control for a
collection of files in a single directory, CVS provides
version control for a hierarchical collection of
directories consisting of revision controlled files.

These directories and files can then be combined together
to form a software release.

Install the cvs package if you need to use a version
control system.

%prep
%setup -q
%patch0 -p1 -b .tmprace

%build
#./configure --prefix=/usr

%configure
make LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/%{_prefix} install install-info

gzip -9nf $RPM_BUILD_ROOT/%{_prefix}/info/cvs*
strip $RPM_BUILD_ROOT/%{_prefix}/bin/cvs

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /%{_prefix}/info/cvs.info.gz /%{_prefix}/info/dir --entry="* cvs: (cvs).          A version control system for multiple developers."
/sbin/install-info /%{_prefix}/info/cvsclient.info.gz /%{_prefix}/info/dir --entry="* cvsclient: (cvsclient).                       The CVS client/server protocol."

%preun
if [ $1 = 0 ]; then
	/sbin/install-info --delete /%{_prefix}/info/cvs.info.gz /%{_prefix}/info/dir --entry="* cvs: (cvs).		A version control system for multiple developers."
	/sbin/install-info --delete /%{_prefix}/info/cvsclient.info.gz /%{_prefix}/info/dir --entry="* cvsclient: (cvsclient).                       The CVS client/server protocol."
fi

%files
%defattr(-,root,root)
%doc BUGS FAQ MINOR-BUGS NEWS PROJECTS TODO README
%doc doc/*.ps
/%{_prefix}/bin/cvs
/%{_prefix}/bin/cvsbug
/%{_prefix}/bin/rcs2log
/%{_prefix}/man/man1/cvs.1
/%{_prefix}/man/man5/cvs.5
/%{_prefix}/man/man8/cvsbug.8
/%{_prefix}/info/cvs*
/%{_prefix}/lib/cvs

%changelog
* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Feb 22 1999 Jeff Johnson <jbj@redhat.com>
- updated text in spec file.

* Mon Feb 22 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.10.5.

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.10.4.

* Tue Oct 20 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.10.3.

* Mon Sep 28 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.10.2.

* Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
- remove trailing characters from rcs2log mktemp args

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.10.1

* Mon Aug 31 1998 Jeff Johnson <jbj@redhat.com>
- fix race conditions in cvsbug/rcs2log

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.10.

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.9.30.

* Mon Jun 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr

* Mon Jun  8 1998 Jeff Johnson <jbj@redhat.com>
- build root
- update to 1.9.28

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 29 1997 Otto Hammersmith <otto@redhat.com>
- added install-info stuff
- added changelog section
